#! /bin/jsh

echo '/*'
awk -v "ye=$YEAR" -v "ow=$OWNER" -v "or=$ORGANIZATION" '
{
  s = gsub("@@YEAR@@", ye, $0);
  s = gsub("@@OWNER@@", ow, s);
  s = gsub("@@ORGANIZATION@@", or, s);
  printf(" * %s\n", s);
}' $LICENSE
echo ' */'
echo '/*'
echo " * morilib Nina Version: ${NINA_VERSION}.${NINA_REVISION}"
echo ' *'
echo ' * Nina homepage:      http://nina.morilib.net/'
echo ' * Plugin update site: http://nina.morilib.net/update-site/'
echo ' */'
